/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreMaintenance;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreMaintenanceRecord extends UpdatableRecordImpl<TCoreMaintenanceRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_maintenance.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_maintenance.pk</code>. unique id
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.pk</code>. unique id
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_maintenance.message</code>. message to
     * be displayed on web applications
     */
    public void setMessage(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.message</code>. message to
     * be displayed on web applications
     */
    public String getMessage() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_maintenance.downtime_start</code>.
     * estimated downtime start
     */
    public void setDowntimeStart(LocalDateTime value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.downtime_start</code>.
     * estimated downtime start
     */
    public LocalDateTime getDowntimeStart() {
        return (LocalDateTime) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_maintenance.downtime_end</code>.
     * estimated downtime end
     */
    public void setDowntimeEnd(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.downtime_end</code>.
     * estimated downtime end
     */
    public LocalDateTime getDowntimeEnd() {
        return (LocalDateTime) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_maintenance.affected_shippie</code>. is
     * Shippie affected?
     */
    public void setAffectedShippie(Boolean value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.affected_shippie</code>. is
     * Shippie affected?
     */
    public Boolean getAffectedShippie() {
        return (Boolean) get(5);
    }

    /**
     * Setter for
     * <code>common_dd.t_core_maintenance.affected_shipdesigner</code>. is
     * Shipdesigner affected?
     */
    public void setAffectedShipdesigner(Boolean value) {
        set(6, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_core_maintenance.affected_shipdesigner</code>. is
     * Shipdesigner affected?
     */
    public Boolean getAffectedShipdesigner() {
        return (Boolean) get(6);
    }

    /**
     * Setter for <code>common_dd.t_core_maintenance.affected_square</code>. is
     * Square affected?
     */
    public void setAffectedSquare(Boolean value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.affected_square</code>. is
     * Square affected?
     */
    public Boolean getAffectedSquare() {
        return (Boolean) get(7);
    }

    /**
     * Setter for <code>common_dd.t_core_maintenance.affected_sam</code>. is Sam
     * affected?
     */
    public void setAffectedSam(Boolean value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.t_core_maintenance.affected_sam</code>. is Sam
     * affected?
     */
    public Boolean getAffectedSam() {
        return (Boolean) get(8);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreMaintenanceRecord
     */
    public TCoreMaintenanceRecord() {
        super(TCoreMaintenance.T_CORE_MAINTENANCE);
    }

    /**
     * Create a detached, initialised TCoreMaintenanceRecord
     */
    public TCoreMaintenanceRecord(LocalDateTime lastchange, Integer pk, String message, LocalDateTime downtimeStart, LocalDateTime downtimeEnd, Boolean affectedShippie, Boolean affectedShipdesigner, Boolean affectedSquare, Boolean affectedSam) {
        super(TCoreMaintenance.T_CORE_MAINTENANCE);

        setLastchange(lastchange);
        setPk(pk);
        setMessage(message);
        setDowntimeStart(downtimeStart);
        setDowntimeEnd(downtimeEnd);
        setAffectedShippie(affectedShippie);
        setAffectedShipdesigner(affectedShipdesigner);
        setAffectedSquare(affectedSquare);
        setAffectedSam(affectedSam);
        resetChangedOnNotNull();
    }
}
